<template functional>
  <div
    :ref="data.ref"
    class="flex flex-col items-center -my-3 lg:items-end"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <template v-for="(group, index) in props.items">
      <div :key="index" class="flex flex-col items-center my-3 lg:items-end">
        <h4 class="mb-2 h5" style="color: var(--footer-text-color)">
          {{ group.label }}
        </h4>
        <template v-for="(item, idx) in group.items">
          <hyper-link
            :key="idx"
            :to="item.path"
            class="footer-item font-medium tracking-wide uppercase"
          >
            {{ item.label }}
          </hyper-link>
        </template>
      </div>
    </template>
  </div>
</template>

<script>
export default {
  name: 'FooterGroupedLinksArea',
  props: {
    items: { type: Array, default: () => [] },
  },
};
</script>
